

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/exit.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN kernel/exit.c~fix-bug-3745-maybe kernel/exit.c
--- 25/kernel/exit.c~fix-bug-3745-maybe	2004-11-17 20:47:17.108635224 -0800
+++ 25-akpm/kernel/exit.c	2004-11-17 20:47:17.112634616 -0800
@@ -532,7 +532,8 @@ static inline void reparent_thread(task_
 	/* We don't want people slaying init.  */
 	if (p->exit_signal != -1)
 		p->exit_signal = SIGCHLD;
-	p->self_exec_id++;
+	if (p->real_parent != child_reaper)
+		p->self_exec_id++;
 
 	if (p->pdeath_signal)
 		/* We already hold the tasklist_lock here.  */
_
